Summary: Linux keymap utilities
Name: kbd
Version: 0.96a
Release: 8
Group: Utilities/System
Exclusiveos: Linux
Copyright: GPL
Source0: ftp://ftp.win.tue.nl/pub/linux/util/kbd/kbd-0.96a.tar.gz
Source1: keytable.init
Source2: ftp://ftp.dementia.org/pub/linux/pc2sun.pl
Source3: kbd-0.96-turkish.tar.gz
Source4: kbd-ro.map.gz
Source5: kbd-sr.map.gz
Source6: kbd-0.96-slovak.tar.gz
Source7: kbd-0.96-latin0.tar.gz
Patch0: kbd-0.96-0.96a.diff
Patch1: kbd-0.96-sparc.patch
Patch2: kbd-0.96-rh.patch
Patch3: kbd-0.96-tmp.patch
Prereq: /sbin/chkconfig
Buildroot: /var/tmp/kbd-root
Summary(de): Linux-Keymap-Dienstprogramme
Summary(fr): Utilitaires clavier pour Linux
Summary(tr): Linux klavye yardmc yazlmlar

%description
This package contains utilities to load console fonts and
keyboard maps.  It also includes a number of different fonts
and keyboard maps.

%ifarch sparc
Please, read the README.sparc file in /usr/doc
%endif 

%prep
%setup -q -a 3 -a 6 -a 7

%ifnarch i386
rm -f man8/resizecons.8
%endif

%ifarch sparc
%patch1 -p1
%endif

%patch2 -p1 -b .rh
%patch3 -p1 -b .tmp

%build
make CFLAGS="$RPM_OPT_FLAGS -D_GNU_SOURCE" LDFLAGS=-s prefix=/usr

%install
rm -rf $RPM_BUILD_ROOT
install -d -m 755 $RPM_BUILD_ROOT/usr/bin
install -d -m 755 $RPM_BUILD_ROOT/usr/lib/kbd
install -d -m 755 $RPM_BUILD_ROOT/usr/man/man{1,4,5,8}

make prefix=$RPM_BUILD_ROOT/usr install

# don't give loadkeys SUID perms
chmod 755 $RPM_BUILD_ROOT/usr/bin/loadkeys

strip $RPM_BUILD_ROOT/usr/bin/dumpkeys $RPM_BUILD_ROOT/usr/bin/loadkeys
strip $RPM_BUILD_ROOT/usr/bin/showkey $RPM_BUILD_ROOT/usr/bin/setfont
strip $RPM_BUILD_ROOT/usr/bin/showfont $RPM_BUILD_ROOT/usr/bin/setleds
strip $RPM_BUILD_ROOT/usr/bin/setmetamode $RPM_BUILD_ROOT/usr/bin/kbd_mode
strip $RPM_BUILD_ROOT/usr/bin/chvt $RPM_BUILD_ROOT/usr/bin/deallocvt
strip $RPM_BUILD_ROOT/usr/bin/getkeycodes $RPM_BUILD_ROOT/usr/bin/setkeycodes
strip $RPM_BUILD_ROOT/usr/bin/psfaddtable $RPM_BUILD_ROOT/usr/bin/psfgettable
strip $RPM_BUILD_ROOT/usr/bin/psfstriptable $RPM_BUILD_ROOT/usr/bin/mapscrn
strip $RPM_BUILD_ROOT/usr/bin/loadunimap

install -d -m 755 $RPM_BUILD_ROOT/etc/rc.d/init.d
install -d -m 755 $RPM_BUILD_ROOT/etc/rc.d/rc{2,3,5}.d

install -m 755 $RPM_SOURCE_DIR/keytable.init \
	$RPM_BUILD_ROOT/etc/rc.d/init.d/keytable
ln -sf ../init.d/keytable $RPM_BUILD_ROOT/etc/rc.d/rc2.d/S75keytable
ln -sf ../init.d/keytable $RPM_BUILD_ROOT/etc/rc.d/rc3.d/S75keytable
ln -sf ../init.d/keytable $RPM_BUILD_ROOT/etc/rc.d/rc5.d/S75keytable

# other keymaps
for map in ro sr ; do
   install -m 644 $RPM_SOURCE_DIR/kbd-$map.map.gz \
	$RPM_BUILD_ROOT/usr/lib/kbd/keymaps/i386/qwerty/$map.map.gz
done

%ifarch sparc
install -m 755 $RPM_SOURCE_DIR/pc2sun.pl $RPM_BUILD_ROOT/usr/lib/kbd/keytables
%endif

%ifarch i386
strip $RPM_BUILD_ROOT/usr/bin/resizecons 
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add keytable
if [ -f /etc/sysconfig/keyboard ] ; then
    . /etc/sysconfig/keyboard
    if [ -n "$KEYTABLE" ] ; then
        echo "KEYTABLE=$(basename $KEYTABLE)" > /etc/sysconfig/keyboard
    fi
fi

%preun
if [ $1 = 0 ]; then
   /sbin/chkconfig --del keytable
fi

%files
%defattr(-,root,root)

%ifarch sparc
%doc README.sparc
%endif

%doc README CHANGES sample.rc
%doc doc/*

%config /etc/rc.d/init.d/keytable
%config(missingok) /etc/rc.d/rc2.d/S75keytable
%config(missingok) /etc/rc.d/rc3.d/S75keytable
%config(missingok) /etc/rc.d/rc5.d/S75keytable

/usr/lib/kbd

/usr/bin/chvt
/usr/bin/deallocvt
/usr/bin/dumpkeys
/usr/bin/getkeycodes
/usr/bin/kbd_mode
/usr/bin/loadkeys
/usr/bin/loadunimap
/usr/bin/mapscrn
/usr/bin/psfaddtable
/usr/bin/psfgettable
/usr/bin/psfstriptable
%ifarch i386
/usr/bin/resizecons
%endif
/usr/bin/setfont
/usr/bin/setkeycodes
/usr/bin/setleds
/usr/bin/setmetamode
/usr/bin/showfont
/usr/bin/showkey

/usr/man/man1/*
/usr/man/man4/*
/usr/man/man5/*
/usr/man/man8/*

%changelog
* Thu Oct 01 1998 Cristian Gafton <gafton@redhat.com>
- added Euro (latin0) support from Guylhem Aznar

* Sun Sep 27 1998 Cristian Gafton <gafton@redhat.com>
- fix the name the ro and sr maps are installed under
- slovak keymaps
- ro.map and sr.map are welcomed to the club
- enable turkish again

* Mon Aug 24 1998 Cristian Gafton <gafton@redhat.com>
- KEYTABLE should not have the full patch name (%post hack)

* Fri Aug 21 1998 Jeff Johnson <jbj@redhat.com>
- install keymaps on tty0 w/o using (non-installed) open(1).

* Tue Jul 14 1998 Jeff Johnson <jbj@redhat.com>
- updated to 0.96a.

* Thu Jun 11 1998 Mikael Hedin <micce@irf.se>
- specify VT0 in case we use a serial console

* Wed Jun 10 1998 Jeff Johnson <jbj@redhat.com>
- quotes permit multiple keytables in keytable.init (problem #675)

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu May 07 1998 Donnie Barnes <djb@redhat.com>
- added some extra turkish support

* Thu Apr 30 1998 Cristian Gafton <gafton@redhat.com>
- fixes for building on alpha
- completed buildroot usage

* Thu Apr 23 1998 Michael K. Johnson <johnsonm@redhat.com>
- enhanced initscript

* Wed Apr 08 1998 Erik Troan <ewt@redhat.com>
- updated to 0.95

* Wed Mar 25 1998 Erik Troan <ewt@redhat.com>
- fixed /tmp exploit

* Wed Nov 05 1997 Donnie Barnes <djb@redhat.com>
- added SPARC stuff (finally!), Thanks to eduardo@medusa.es for most of it.
- added buildroot
- cleaned up the file list
- moved to rev 5 because the contrib ver rel was 4

* Mon Oct 20 1997 Donnie Barnes <djb@redhat.com>
- updated from 0.91 to 0.94
- added chkconfig support
- spec file cleanups

* Tue Jun 17 1997 Erik Troan <ewt@redhat.com>
- built against glibc
